Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Interface Log

All Known Implementing Classes:
  DefaultLog, Logger, NonCatalogLog

Deprecated Use the Weblogic logging mechanism

    public interface Log

Field Summary
`static int` | `LOG_DEBUG` Deprecated Error level constant.
`static int` | `LOG_DEPRECATED` Deprecated The deprecated state.
`static int` | `LOG_ERROR` Deprecated Error level constant.
`static int` | `LOG_FATAL` Deprecated Error level constant.
`static int` | `LOG_INFO` Deprecated Error level constant.
`static int` | `LOG_SECURITY` Deprecated Error level constant.
`static int` | `LOG_WARNING` Deprecated Error level constant.

Method Summary
`void` | `debug(String aMsg)` Deprecated Convenience method for debug level message (LOG_DEBUG).
`void` | `deprecated(String aMsg)` Deprecated Log a Deprecated message.
`int` | `getMinimumLevel()` Deprecated Use domain log filters
`boolean` | `getShowDebug()` Deprecated Get show debug.
`boolean` | `getShowDeprecated()` Deprecated Get show deprecated.
`void` | `info(String aMsg)` Deprecated Write to the logs, with extra information added.
`void` | `info(String aMsg, Throwable anException)` Deprecated Write to the logs, with extra information added.
`void` | `log(int aLevel, String aMsg)` Deprecated Write to the weblogic logs, with extra information added.
`void` | `log(int aLevel, String appName, String aMsg)` Deprecated Write to the logs, with extra information added.
`void` | `log(int aLevel, String appName, String aMsg, Throwable anException)` Deprecated Write to the logs, with extra information added.
`void` | `log(int aLevel, String aMsg, Throwable anException)` Deprecated Write to the weblogic logs, with extra information added.
`void` | `setMinimumLevel(int aLevel)` Deprecated Use domain log filters
`void` | `setShowDebug(boolean aBool)` Deprecated Set show debug.
`void` | `setShowDeprecated(boolean aBool)` Deprecated Set show deprecated.

Field Detail

### LOG_DEBUG

    static final int LOG_DEBUG

  Deprecated
  Error level constant. This implementation maps to the weblogic.common.LogServicesDef.debug(String) method.

  See Also
    Constants Summary

### LOG_INFO

    static final int LOG_INFO

  Deprecated
  Error level constant. This implementation maps to the weblogic.common.LogServicesDef.info(String) method.

  See Also
    Constants Summary

### LOG_WARNING

    static final int LOG_WARNING

  Deprecated
  Error level constant. This implementation maps to the weblogic.common.LogServicesDef.info(String) method.

  See Also
    Constants Summary

### LOG_ERROR

    static final int LOG_ERROR

  Deprecated
  Error level constant. This implementation maps to the weblogic.common.LogServicesDef.warning(String) method.

  See Also
    Constants Summary

### LOG_FATAL

    static final int LOG_FATAL

  Deprecated
  Error level constant. This implementation maps to the weblogic.common.LogServicesDef.error(String) method.

  See Also
    Constants Summary

### LOG_SECURITY

    static final int LOG_SECURITY

  Deprecated
  Error level constant. This implementation maps to the weblogic.common.LogServicesDef.security(String) method.

  See Also
    Constants Summary

### LOG_DEPRECATED

    static final int LOG_DEPRECATED

  Deprecated
  The deprecated state.

  See Also
    Constants Summary

Method Detail

### debug

    void debug(String aMsg)

  Deprecated
  Convenience method for debug level message (LOG_DEBUG).

  Parameters
    `aMsg` -

### info

    void info(String aMsg)

  Deprecated
  Write to the logs, with extra information added. Convenience method for LOG_INFO level.

  Parameters
    `String` - the message, if null it should be ignored.

### deprecated

    void deprecated(String aMsg)

  Deprecated
  Log a Deprecated message. These can only be shut off with a true or false.

  Parameters
    `aMsg` -

### info

    void info(String aMsg,
              Throwable anException)

  Deprecated
  Write to the logs, with extra information added. Convenience method for LOG_INFO level.

  Parameters
    `String` - the message, if null it should be ignored.
    `anException` -

### log

    void log(int aLevel,
             String aMsg)

  Deprecated
  Write to the weblogic logs, with extra information added.

  Parameters
    `int` - aLevel Possible error levels are: LOG_DEBUG LOG_INFO LOG_WARNING LOG_ERROR LOG_FATAL LOG_SECURITY
    `String` - the message, if null it should be ignored.

### log

    void log(int aLevel,
             String aMsg,
             Throwable anException)

  Deprecated
  Write to the weblogic logs, with extra information added.

  Parameters
    `int` - aLevel Possible error levels are: LOG_DEBUG LOG_INFO LOG_WARNING LOG_ERROR LOG_FATAL LOG_SECURITY
    `String` - the message, if null it should be ignored.
    `Throwable` - the exception.

### log

    void log(int aLevel,
             String appName,
             String aMsg)

  Deprecated
  Write to the logs, with extra information added.

  Parameters
    `int` - aLevel Possible error levels are: LOG_DEBUG LOG_INFO LOG_WARNING LOG_ERROR LOG_FATAL LOG_SECURITY
    `appName` - the name of the application logging the message
    `String` - the message, if null it should be ignored.

### log

    void log(int aLevel,
             String appName,
             String aMsg,
             Throwable anException)

  Deprecated
  Write to the logs, with extra information added.

  Parameters
    `int` - aLevel Possible error levels are: LOG_DEBUG LOG_INFO LOG_WARNING LOG_ERROR LOG_FATAL LOG_SECURITY
    `appName` - the name of the application logging the message
    `String` - the message, if null it should be ignored.
    `Throwable` - the exception.

### setMinimumLevel

    void setMinimumLevel(int aLevel)

  Deprecated Use domain log filters

  Set the minimum message output level.

  Parameters
    `aLevel` - - this must conform to one of LOG_DEBUG LOG_INFO LOG_WARNING LOG_ERROR LOG_FATAL LOG_SECURITY

### getMinimumLevel

    int getMinimumLevel()

  Deprecated Use domain log filters

  Get the minimum message output level.

  Returns
    `int` - this must conform to one of LOG_DEBUG LOG_INFO LOG_WARNING LOG_ERROR LOG_FATAL LOG_SECURITY

### setShowDeprecated

    void setShowDeprecated(boolean aBool)

  Deprecated
  Set show deprecated.

  Parameters
    `aBool` -

### getShowDeprecated

    boolean getShowDeprecated()

  Deprecated
  Get show deprecated.

  Returns
    `boolean`

### setShowDebug

    void setShowDebug(boolean aBool)

  Deprecated
  Set show debug.

  Parameters
    `aBool` -

### getShowDebug

    boolean getShowDebug()

  Deprecated
  Get show debug.

  Returns
    `boolean`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.